const uploadFile = (extension) =>
  new Promise((resolve) => {
    const fileInput = document.createElement('input');
    fileInput.type = 'file';
    fileInput.accept = extension;
    fileInput.onchange = ()=> {
      if (fileInput.files) {
        const reader = new FileReader();
        reader.onload = () => {
          const contents = reader.result;
          resolve(contents);
          fileInput.remove()
        };

        if (extension.includes('xfdf')) {
          reader.readAsText(fileInput.files[0]);
        } else {
          reader.readAsDataURL(fileInput.files[0]);
        }
      }
    };
    document.body.appendChild(fileInput);
    fileInput.click();
  });

export { uploadFile }